/*****************************************************************************
 * Copyright (c) 2001, Ravikanth Dronamraju
 * Distributed under the GNU General Public License version 2
 *****************************************************************************
 * $Id:$
 *****************************************************************************/
#ifndef _MOD_RRD_H_
#define	_MOD_RRD_H_



#ifdef __cplusplus
extern "C" {
#endif

#ifdef WIN32
    #ifndef RRD_GEN_EXPORTS
		#define RRD_VAR_EXPORT          __declspec(dllimport)
		#define RRD_EXPORT(type)        __declspec(dllimport) type __stdcall
		#define RRD_EXPORT_NONSTD(type) __declspec(dllimport) type __cdecl
	#else
		#define RRD_VAR_EXPORT          __declspec(dllexport)
		#define RRD_EXPORT(type)        __declspec(dllexport) type __stdcall
		#define RRD_EXPORT_NONSTD(type) __declspec(dllexport) type __cdecl
	#endif
#else
    #define RRD_EXPORT(type) type
    #define RRD_EXPORT_NONSTD(type) type
#endif


#include <time.h>


RRD_EXPORT(int)    mod_rrd_create(int, char **);
RRD_EXPORT(int)    mod_rrd_update(int, char **);
RRD_EXPORT(int)    mod_rrd_graph(int, char **, char ***, int *, int *);
RRD_EXPORT(int)    mod_rrd_fetch(int, char **, time_t *, time_t *, unsigned long *, unsigned long *, char ***, double **);
RRD_EXPORT(int)    mod_rrd_restore(int, char **);
RRD_EXPORT(int)    mod_rrd_dump(int, char **);
RRD_EXPORT(int)    mod_rrd_tune(int, char **);
RRD_EXPORT(time_t) mod_rrd_last(int, char **);
RRD_EXPORT(int)    mod_rrd_resize(int, char **);

RRD_EXPORT(void)   mod_rrd_clear_error(void);

RRD_EXPORT(int)	   mod_rrd_test_error(void);
RRD_EXPORT(char *) mod_rrd_get_error(void);

#ifdef __cplusplus
}
#endif /*__cplusplus*/



#endif /*_MOD_RRD_H_*/




